%define pk_min_version 0.6.17

## include app-install support and/or for testing/customizing categories.xml
#define app_install 1

Name:    apper
Version: 0.7.2
Release: 4%{?dist}
Summary: KDE interface for PackageKit

License: GPLv2+
%if 0%{?snap}
# use releaseme/apper.rc --version 0.7.1
Source0: apper-%{version}-%{snap}.tar.xz
%else
Source0: http://download.kde.org/stable/apper/%{version}/src/apper-%{version}.tar.bz2
%endif
URL:     http://kde-apps.org/content/show.php/Apper?content=84745

## upstreamable patches

## upstream patches
Patch0:    apper-conserve-resources.patch

Obsoletes: kpackagekit < 0.7.0
Provides:  kpackagekit = %{version}-%{release}
# required because gnome-packagekit provides exactly the same interface
Provides: PackageKit-session-service

BuildRequires: chrpath 
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(packagekit-qt2) >= %{pk_min_version}

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
%global pk_version %(pkg-config --modversion packagekit-qt 2> /dev/null || echo %{pk_min_version})
Requires: PackageKit-qt%{?_isa} >= %{pk_version}

%description
KDE interface for PackageKit.


%prep
%setup -q 
%patch0 -p1 -b .conserve-resources


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  %{?app_install:-DAPPINSTALL:BOOL=ON} \
  -DAUTOREMOVE:BOOL=OFF \
  ..  
popd

make %{?_smp_mflags} -C %{_target_platform}


%install

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang apper --with-kde || echo "WARNING: missing translations"

# hack around gnome-packagekit conflict
mv %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service \
   %{buildroot}%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service

# hack around rpath oddness
chrpath --list %{buildroot}%{_kde4_bindir}/apper
chrpath --replace %{_kde4_libdir}/apper %{buildroot}%{_kde4_bindir}/apper

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/apper.desktop


%posttrans
update-desktop-database -q 2> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
update-desktop-database -q 2> /dev/null ||:
fi

%files -f apper.lang
%doc COPYING TODO
%{_kde4_bindir}/apper
%{_kde4_libdir}/apper/
%{_kde4_libdir}/kde4/kcm_apper.so
%{_kde4_libdir}/kde4/kded_apperd.so
%{_kde4_libexecdir}/apper-sentinel
%{_kde4_datadir}/applications/kde4/apper.desktop
%{_kde4_datadir}/applications/kde4/apper_*.desktop
%{_kde4_datadir}/kde4/services/kcm_apper.desktop
%{_kde4_datadir}/kde4/services/kded/apperd.desktop
%{_kde4_appsdir}/apper/
%{_kde4_appsdir}/ApperSentinel/
%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
%{_datadir}/dbus-1/services/org.kde.ApperSentinel.service
%if 0%{?app_install}
# own this until app-install or something better comes along -- Rex
%dir %{_datadir}/app-install
# TODO: fix this to match comps' categories/groups
%{_datadir}/app-install/categories.xml
%endif
%{_mandir}/man1/apper.1*


%changelog
* Fri Sep 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-4
- add scriptlet to register mimetypes (#836559)

* Fri Jul 20 2012 Lukas Tinkl <ltinkl@redhat.com> 0.7.2-3
- re-apply patch to not check for updates when on battery

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-2
- rebuild (PackageKit)

* Mon May 21 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- apper-0.7.2

* Mon May 7 2012 Lukáš Tinkl <ltinkl@redhat.com> 0.7.1-5
- respect the settings and don't check for updates when on battery

* Wed Apr 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-4
- rebuild (PackageKit-qt)

* Sat Apr 21 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-3
- more work on wakeups, kudos to Martin Kho (#752564)

* Mon Apr 16 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-2
- "Unsigned packages" popup constantly reappears (#806508)
- Apper wakes up yumBackend.py every 5 to 10 minutes (#752564)

* Tue Feb 21 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-1
- 0.7.1 (final)

* Sat Feb 18 2012 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-0.7.20120218
- 20120218 snapshot (#749240, #753146, #781726)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-0.6.20111102
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 02 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-0.5.20111102 
- 20111102 snapshot

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-0.4.20111021
- Rebuilt for glibc bug#747377

* Fri Oct 21 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-0.3.20111021
- 20111021 snapshot, checkbox fixes, translations.

* Thu Oct 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-0.2.20111020
- fresher snapshot, more fixes upstream.  mmm, mmm, good.

* Thu Oct 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-0.1.20111020
- 0.7.1 20111020 snapshot (with better fix for hack in 0.7.0-5)

* Wed Oct 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-5
- hack around crash on installing standalone rpms

* Wed Oct 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-4
- systray_actions patch/hack

* Mon Oct 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-3
- apper.desktop: Exec=apper %F (not %U, it only handles files, not urls)

* Mon Oct 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-2
- -DAUTOREMOVE:BOOL=OFF (#727788)

* Tue Oct 11 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- kpackagekit -> apper

* Mon Aug 01 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.3.3-3
- support the InstallResources interface, in particular for Plasma services
- bump minimum PackageKit version to 0.6.16 to support the above

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.3-1
- 0.6.3.3 release

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.2-2
- show version information by default (#665372)
- show arch information by default (on multilib-capable archs)
- upstream patch for issues found by valgrind

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.2-1
- 0.6.3.2 release

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-3
- fix for software_sources category
- fix reported version

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-2
- fix/improve browsing pk categories

* Tue Dec 21 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-1
- kpk-0.6.3

* Wed Dec 15 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.3-0.2.20101214
- fetch translations from SVN

* Tue Dec 14 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-0.1.20101214
- 0.6.3 snapshot (sans translations)

* Tue Oct 12 2010 Steven M. Parrish <smparrish@gmail.com> 0.6.2-1
- New upstream release

* Tue Sep 21 2010 Lukas Tinkl <ltinkl@redhat.com> - 0.6.1-2
- fix wrong i18n() usage in a patch resulting in broken translations

* Wed Sep 07 2010 Steven M. Parrish <smparrish@gmail.com> - 0.6.1-1
- New upstream release

* Fri Mar 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-2
- rebase InstallPrinterDrivers patch
- readd disttag

* Fri Mar 26 2010 Steven M. Parrish <smparrish@gmail.com> - 0.6.0-1
- Official 0.6.0 release

* Wed Mar 24 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.9.20100301svn
- add support for automatic printer driver installation (Tim Waugh, #576615)

* Sat Mar 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.8.20100301svn
- add minimal kdelibs4 runtime dependency

* Tue Mar 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.7.20100301svn
- update to 20100301 SVN snapshot

* Fri Feb 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.6.20100223svn
- update to 20100223 SVN snapshot
- include translations again

* Wed Feb 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.5.r1095080
- r1095080

* Wed Feb 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.4.20100224
- fresh 20100224 svn snapshot

* Fri Feb 05 2010 Richard Hughes  <rhughes@redhat.com> - 0.6.0-0.3.20100111
- Add Provides: PackageKit-session-service
- Resolves #561437

* Thu Jan 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.2.20100111
- File conflict between kpackagekit and gnome-packagekit (#555139)

* Mon Jan 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.1.20100111
- kpk-0.6.0 2001-01-11 snapshot

* Mon Jan 11 2010 Richard Hughes  <rhughes@redhat.com> - 0.5.2-3
- Rebuild for PackageKit-qt soname bump

* Thu Dec 10 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.2-2
- Clean up spec file 

* Mon Dec 07 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.2-1
- New upstream release

* Thu Nov 19 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.1.1-2
- Remove no longer need patches

* Tue Nov 17 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.1.1-1
- New upstream release fixes #531447, #533755, #536930

* Sat Oct 31 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.3-1
- Official 0.5.0.3 release

* Sun Oct 25 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.2-1
- Official 0.5.0.2 release

* Tue Oct 20 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.1-1
- Official 0.5.0.1 release
- Includes patch to fix (#469375) default/none issue

* Tue Sep 15 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090915svn
- New git snapshot

* Tue Sep 08 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090908svn
- New git snapshot, disable history

* Wed Sep 02 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090902svn
- New git snapshot

* Mon Aug 24 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090824svn
- New git snapshot

* Wed Aug 19 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090819svn
- New upstream release with PolicyKit 1 integration

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-3
- Now includes Sloval(sk) translations

* Tue Jul 7 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-2
- rebuild for new packagekit

* Thu Jun 11 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-1
- Fixed all krazy issues (2 or 3 not much important changed in backend details)
- With KDE >= 4.2.3 persistent notifications are working again so the code to use it was commented out
- Getting duplicated updates was trully fixed
- Added "details" button on error notifications

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-3
- apply awol InitialPreference patch

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-2
- Added missing translations

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- min pk_version 0.4.7
- touchup %%files
- highlight missing translations during build (but make it non-fatal)
- drop upstreamed patches

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-0
- New upstream release.  Fixes compatibility with Packagekit 0.4.8 (#503989)

* Tue Apr 28 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-7
- upstream patch to fix catalog loading (#493061)

* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-6
- make update notification persistent (#485796)

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-5
- another respun tarball to fix using those translations (#493061)

* Tue Mar 17 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-4
- respun (fixed) tarball with translations included

* Mon Mar 09 2009 Richard Hughes  <rhughes@redhat.com> - 0.4.0-3
- Rebuild for PackageKit-qt soname bump

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.4.0-1
- Official 0.4.0 release

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-0.2.20090128svn
- workaround: mime-type/extension binding for .rpm is wrong (#457783)

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-svn.1
- SVN build to solve compatibility issues with packagekit 0.4.2

* Wed Nov 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-6
- respin (PackageKit)
- spec cleanup

* Sat Nov 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-5
- use PackageKit's FindQPackageKit.cmake

* Tue Oct 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-4
- build against PackageKit-qt

* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.rog> 0.3.1-3
- patch kpackagekit.desktop (guessed correct X-DBUS-ServiceName value), 
- fixes: KDEInit could not launch "/usr/bin/kpackagekit"
- cleanup %%files

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-2
- Fix build error

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-1
- New upstream release

* Mon Sep 29 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-1
- Official 0.1 release

* Sun Aug 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b4
- Excluded underdevelopment binaries and associated files 

* Fri Aug 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b4
- Adding missing files

* Tue Aug 19 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b4
- New upstream release

* Fri Aug 01 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.5.b3
- Corrected SPEC file regression

* Thu Jul 31 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.4.b3
- Changed wording on serveral windows to make them better understood

* Thu Jul 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b3
- Removed additional uneeded BRs

* Tue Jul 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b3
- Removed uneeded BRs
- Made use of predefined macros

* Wed Jul 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b3
- Initial SPEC file
